Get task schedule.

GET
/api/v2/tasks/{taskId}/schedules/{taskScheduleId}

Gets a task schedule by its unique identifier and the task's unique identifier. Returns the task schedule details.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

taskId*string

The unique identifier of the task.

Formatuuid
taskScheduleId*string

The unique identifier of the task Schedule.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "isActive": true,    "frequency": "string",    "execution": "string",    "priority": 0,    "timeZone": "string",    "day": 0,    "month": 0,    "atHour": 0,    "atMinut": 0,    "everyHours": 0,    "fromHour": 0,    "fromMinut": 0,    "toHour": 0,    "toMinut": 0,    "weeklyDays": "string",    "nextExecutionDate": "2019-08-24T14:15:22Z",    "timeZoneOfset": "string",    "startDate": "2019-08-24T14:15:22Z",    "endDate": "2019-08-24T14:15:22Z",    "createdDate": "2019-08-24T14:15:22Z",    "modifiedDate": "2019-08-24T14:15:22Z"  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}